# wxScopeGuard Class Reference
[Miscellaneous]

`#include </home/work/projects/wx/2.9/wx/interface/wx/scopeguard.h>`

## Detailed Description

Scope guard is an object which allows executing an action on scope exit.

The objects of this class must be constructed using wxMakeGuard() function.

##

Library: None; this class implementation is entirely header-based.
Category: Miscellaneous

## Public Member Functions

void | Dismiss ()
| Call this method to dismiss the execution of the action on scope exit.

List of all members.

## Member Function Documentation

void wxScopeGuard::Dismiss | ( |  | ) |

Call this method to dismiss the execution of the action on scope exit.

A typical example:

                Update1();

                // ensure that changes done so far are rolled back if the next
                // operation throws
                wxScopeGuard guard = wxMakeGuard(RollBack);
                Update2();

                // it didn't throw so commit the changes, i.e. avoid rolling back
                guard.Dismiss();

|  | [ top ]